package rpgEngine.Data.Abstract.Enemy;

import java.util.ArrayList;
import java.util.List;

public class EnemyParty {
	private Integer ID; 
	private Boolean bossBattle;
	private List<Enemy> enemies;
	
	
	public EnemyParty(Integer id) {
		enemies = new ArrayList<Enemy>();
		ID = id;
	}
	
	
	public List<Enemy> getEnemies() {
		return enemies;
	}
	
	
	public Integer getID() {
		return ID;
	}


	public Boolean isBossBattle() {
		return bossBattle;
	}


	public void setIsBossBattle(Boolean isBossBattle) {
		this.bossBattle = isBossBattle;
	}
	
	
	public EnemyParty createCopy() {
		EnemyParty party = new EnemyParty(ID);
		
		party.setIsBossBattle(bossBattle);
		
		for(Integer i = 0; i < enemies.size(); i++) {
			party.getEnemies().add(enemies.get(i).createCopy());
		}
		
		return party;
	}
	
}
